curl --request POST \
--url https://api.uat.frankie.one/v2/search/serviceprofiles \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"filters": {
"entityIds": [
"<string>"
],
"entityTypes": [
"INDIVIDUAL",
"ORGANIZATION"
],
"createdAtBefore": "2023-11-07T05:31:56Z",
"createdAtAfter": "2023-11-07T05:31:56Z",
"updatedAtAfter": "2023-11-07T05:31:56Z",
"updatedAtBefore": "2023-11-07T05:31:56Z",
"assignees": [
"<string>"
],
"reviewers": [
"<string>"
],
"states": [],
"workflowNames": [
"<string>"
],
"workflowExecutionStatuses": [
{
"overrideType": "ALL",
"status": [
"UNCHECKED"
]
}
],
"statusOverrideType": "ALL",
"workflowStatuses": [
"UNCHECKED"
],
"issueCategories": [],
"issueSeverities": [],
"riskLevels": [],
"issues": [],
"workflowExecutionScope": "LAST",
"countries": [
"<string>"
]
}
}
'import requests
url = "https://api.uat.frankie.one/v2/search/serviceprofiles"
payload = { "filters": {
"entityIds": ["<string>"],
"entityTypes": ["INDIVIDUAL", "ORGANIZATION"],
"createdAtBefore": "2023-11-07T05:31:56Z",
"createdAtAfter": "2023-11-07T05:31:56Z",
"updatedAtAfter": "2023-11-07T05:31:56Z",
"updatedAtBefore": "2023-11-07T05:31:56Z",
"assignees": ["<string>"],
"reviewers": ["<string>"],
"states": [],
"workflowNames": ["<string>"],
"workflowExecutionStatuses": [
{
"overrideType": "ALL",
"status": ["UNCHECKED"]
}
],
"statusOverrideType": "ALL",
"workflowStatuses": ["UNCHECKED"],
"issueCategories": [],
"issueSeverities": [],
"riskLevels": [],
"issues": [],
"workflowExecutionScope": "LAST",
"countries": ["<string>"]
} }
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: {
entityIds: ['<string>'],
entityTypes: ['INDIVIDUAL', 'ORGANIZATION'],
createdAtBefore: '2023-11-07T05:31:56Z',
createdAtAfter: '2023-11-07T05:31:56Z',
updatedAtAfter: '2023-11-07T05:31:56Z',
updatedAtBefore: '2023-11-07T05:31:56Z',
assignees: ['<string>'],
reviewers: ['<string>'],
states: [],
workflowNames: ['<string>'],
workflowExecutionStatuses: [{overrideType: 'ALL', status: ['UNCHECKED']}],
statusOverrideType: 'ALL',
workflowStatuses: ['UNCHECKED'],
issueCategories: [],
issueSeverities: [],
riskLevels: [],
issues: [],
workflowExecutionScope: 'LAST',
countries: ['<string>']
}
})
};
fetch('https://api.uat.frankie.one/v2/search/serviceprofiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Search for profiles
Search for Individuals and Organizations that match the provided search parameters. Search parameters are supplied in the form of an entity object.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
"fred.flintstone@frankieone.com"
Query Parameters
List of fields that the Process Results will be filtered with Available values : createdAt, updatedAt
Order of the sort fields will be sorted upon
asc, desc The page number that you want to retrieve for the list query
Limit the number of items that will be returned as part of the request
x >= 1Body
Search for a profile
Was this page helpful?